<!DOCTYPE html>
<html>
<head>
    <title>Test SQL Injection Cases</title>
</head>
<body>
    <h1>Test SQL Injection Cases</h1>
    <p>
        -> For exploit case scenarios, you can try something like: 
        <br> http://localhost:8000/myapp/test_sql_injection1?username=%27%20or%20email=%27test3@example.com
        <br><br>
        -> For test cases: 3, 7, 11, 15, 17, 20 - use " instead of ' to break out. For example:
        <br> http://localhost:8000/myapp/test_sql_injection3?username=%22%20or%20email=%22test3@example.com
        <br><br>
        -> For test case 28, try exploit payload: 
        <br> http://localhost:8000/myapp/test_sql_injection28/'or%20email='test3@example.com/
        <br><br>
        -> Test Cases 17, 19, 20, 23, 24, 25, 26, 27 are safe and cannot be exploited.
        <br><br>
        Normal scenarios:
    </p>
    <ul>
        <li>Test Case 1: <a href="{% url 'test_sql_injection1' %}?username=testuser1"> Link</a></li>
        <li>Test Case 2: <a href="{% url 'test_sql_injection2' %}?username=testuser1"> Link</a></li>
        <li>Test Case 3: <a href="{% url 'test_sql_injection3' %}?username=testuser1"> Link</a></li>
        <li>Test Case 4: <a href="{% url 'test_sql_injection4' %}?username=testuser1"> Link</a></li>
        <li>Test Case 5: <a href="{% url 'test_sql_injection5' %}?username=testuser1"> Link</a></li>
        <li>Test Case 6: <a href="{% url 'test_sql_injection6' %}?username=testuser1"> Link</a></li>
        <li>Test Case 7: <a href="{% url 'test_sql_injection7' %}?username=testuser1"> Link</a></li>
        <li>Test Case 8: <a href="{% url 'test_sql_injection8' %}?username=testuser1"> Link</a></li>
        <li>Test Case 9: <a href="{% url 'test_sql_injection9' %}?username=testuser1"> Link</a></li>
        <li>Test Case 10: <a href="{% url 'test_sql_injection10' %}?username=testuser1"> Link</a></li>
        <li>Test Case 11: <a href="{% url 'test_sql_injection11' %}?username=testuser1"> Link</a></li>
        <li>Test Case 12: <a href="{% url 'test_sql_injection12' %}?username=testuser1"> Link</a></li>
        <li>Test Case 13: <a href="{% url 'test_sql_injection13' %}?username=testuser1"> Link</a></li>
        <li>Test Case 14: <a href="{% url 'test_sql_injection14' %}?username=testuser1"> Link</a></li>
        <li>Test Case 15: <a href="{% url 'test_sql_injection15' %}?username=testuser1"> Link</a></li>
        <li>Test Case 16: <a href="{% url 'test_sql_injection16' %}?username=testuser1"> Link</a></li>
        <li>Test Case 17: <a href="{% url 'test_sql_injection17' %}?username=testuser1"> Link</a></li>
        <li>Test Case 18: <a href="{% url 'test_sql_injection18' %}?username=testuser1"> Link</a></li>
        <li>Test Case 19: <a href="{% url 'test_sql_injection19' %}?username=testuser1"> Link</a></li>
        <li>Test Case 20: <a href="{% url 'test_sql_injection20' %}?username=testuser1"> Link</a></li>
        <li>Test Case 21: <a href="{% url 'test_sql_injection21' %}?username=testuser1"> Link</a></li>
        <li>Test Case 22: <a href="{% url 'test_sql_injection22' %}?username=testuser1"> Link</a></li>
        <li>Test Case 23: <a href="{% url 'test_sql_injection23' %}?username=testuser1"> Link</a></li>
        <li>Test Case 24: <a href="{% url 'test_sql_injection24' %}?username=testuser1"> Link</a></li>
        <li>Test Case 25: <a href="{% url 'test_sql_injection25' %}?username=testuser1"> Link</a></li>
        <li>Test Case 26: <a href="{% url 'test_sql_injection26' %}?username=testuser1"> Link</a></li>
        <li>Test Case 27: <a href="{% url 'test_sql_injection27' %}?username=testuser1"> Link</a></li>
        <li>Test Case 28: <a href="http://localhost:8000/myapp/test_sql_injection28/testuser1/"> Link</a></li>
        
    </ul>
</body>
</html>
